### Method

# Vips Image decode

#### Declaration [src]

    int
    vips_image_decode (
      VipsImage* in,
      VipsImage** out
    )

#### Description [src]

A convenience function to unpack to a format that we can compute with. `out`.coding is always `VIPS_CODING_NONE`.

This unpacks LABQ to plain LAB. Use `vips_LabQ2LabS()` for a bit more speed if you need it.

See also

`vips_image_encode()`, `vips_LabQ2Lab()`, `vips_rad2float()`.

#### Parameters

`out`

  Type: `VipsImage`

  Write to this image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `int`

0 on success, or -1 on error.